Subject: Re: [PATCH] gitweb: Support caching projects list

From: "J.H." <[email-masked]>
Date: Sun, 16 Mar 2008 09:52:34 -0700

On Sun, 2008-03-16 at 12:41 +0100, Frank Lichtenheld wrote:
> On Sat, Mar 15, 2008 at 02:44:42PM -0700, Jakub Narebski wrote:
> > Petr Baudis <[email-masked]> writes:
> > This could be much simplified with perl-cache (perl-Cache-Cache).
> > Unfortunately this is non-standard module, not distributed (yet?)
> > with Perl.
> 
> I think somebody who actually needs this can be bothered to install a
> CPAN perl module. This should probably not enabled by default anyway.

The people who need the caching are also likely those who are most
averse to using things that don't either come with their distribution or
aren't easily and readily available in something like an extras
repository or a very well trusted contrib repository.  I can at least
vouch for one large site that needs this that doesn't install things via
cpan for a lot of different reasons.

- John 'Warthog9' Hawley